CVE-2021-20515

Published on: 04/30/2021 12:00:00 AM UTC

Last Modified on: 04/30/2021 11:41:00 PM UTC

CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H

Certain versions of Hp-ux from Hp contain the following vulnerability:

IBM Informix Dynamic Server 14.10 is vulnerable to a stack based buffer overflow, caused by improper bounds checking. A local privileged user could overflow a buffer and execute arbitrary code on the system or cause a denial of service condition. IBM X-Force ID: 198366.

  • CVE-2021-20515 has been assigned by URL Logo [email protected] to track the vulnerability - currently rated as MEDIUM severity.
  • Affected Vendor/Software: URL Logo IBM - Informix Dynamic Server version 14.1

CVSS3 Score: 6.7 - MEDIUM

Attack
Vector
Attack
Complexity
Privileges
Required
User
Interaction
LOCAL LOW HIGH NONE
Scope Confidentiality
Impact
Integrity
Impact
Availability
Impact
UNCHANGED HIGH HIGH HIGH

CVSS2 Score: 4.6 - MEDIUM

Access
Vector
Access
Complexity
Authentication
LOCAL LOW NONE
Confidentiality
Impact
Integrity
Impact
Availability
Impact
PARTIAL PARTIAL PARTIAL

CVE References

Description Tags Link
Security Bulletin: IBM Informix Dynamic Server is vulnerable to a stack based buffer overflow, caused by improper bounds checking. www.ibm.com
text/html
URL Logo CONFIRM www.ibm.com/support/pages/node/6448568
IBM X-Force Exchange exchange.xforce.ibmcloud.com
text/html
URL Logo XF ibm-informix-cve202120515-bo (198366)

Known Affected Configurations (CPE V2.3)

Type Vendor Product Version Update Edition Language
Operating
System
HpHp-ux-AllAllAll
Operating
System
IbmAix-AllAllAll
ApplicationIbmInformix Dynamic Server14.10AllAllAll
Operating
System
LinuxLinux Kernel-AllAllAll
Operating
System
MicrosoftWindows-AllAllAll
Operating
System
OracleSolaris-AllAllAll
  • cpe:2.3:o:hp:hp-ux:-:*:*:*:*:*:*:*:
  • cpe:2.3:o:ibm:aix:-:*:*:*:*:*:*:*:
  • cpe:2.3:a:ibm:informix_dynamic_server:14.10:*:*:*:*:*:*:*:
  • cpe:2.3:o:linux:linux_kernel:-:*:*:*:*:*:*:*:
  • cpe:2.3:o:microsoft:windows:-:*:*:*:*:*:*:*:
  • cpe:2.3:o:oracle:solaris:-:*:*:*:*:*:-:*:

Social Mentions

Source Title Posted (UTC)
Twitter Icon @CVEreport CVE-2021-20515 : #IBM Informix Dynamic Server 14.10 is vulnerable to a stack based buffer overflow, caused by impro… twitter.com/i/web/status/1… 2021-04-30 15:53:05
Reddit Logo Icon /r/netcve CVE-2021-20515 2021-04-30 16:41:48
© CVE.report 2021 Twitter Nitter Twitter Viewer |

Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.

CVE, CWE, and OVAL are registred trademarks of The MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. This site includes MITRE data granted under the following license.

CVE.report and Source URL Uptime Status status.cve.report